Download it now!
Bug 90246 - FILESAVE : PPTX paragraph and bullet left margin and indentation is not exported
Summary: FILESAVE : PPTX paragraph and bullet left margin and indentation is not exported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: target:5.0.0
Keywords: implementationError
Depends on:
Blocks:
 
Reported: 2015-03-26 07:54 UTC by Priyanka Gaikwad
Modified: 2015-12-18 09:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
for bullet (32.13 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-03-26 07:54 UTC, Priyanka Gaikwad
Details
for paragraph (32.08 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-03-26 07:55 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2015-03-26 07:54:51 UTC
Created attachment 114368 [details]
for bullet

Problem description: 
marL and indent tags are not exported for bullet and paragraph

Steps to reproduce:
1. Open .pptx (attached)
2. Save as .pptx
3. Open saved pptx

Current behavior:
After RT marL and indent tags of <a:pPr> are not exported

Expected behaviour:
After RT marL and indent tags of <a:pPr> should export
Comment 1 Priyanka Gaikwad 2015-03-26 07:55:44 UTC
Created attachment 114369 [details]
for paragraph
Comment 2 A (Andy) 2015-03-26 18:34:20 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 3 Pieter van Oostrum 2015-03-29 13:29:42 UTC
Reproducible with LO 4.4.1.2 and master on Mac OS X 10.10.2.

I applied the patch from gerrit 15016 on master and it works.

BUT

There are a couple of tricky issues:

1. Exporting margin and indent on each paragraph breaks the connection of the slide with the slide master. Now it appears that the PPTX export loses the connection of the slide with the slide master anyway (that info is not exported). So that is one more cause of the margins and indents not exported. For "independent" textboxes the proper way is to put the margin/indent in the paragraph. However if the textbox was inherited from the slide master and the margin/indent came from the master, it should not be exported in the paragraph, but the textbox should be linked to the corresponding slide layout. So that you can afterwards adapt the slide master and the textboxes will be changed accordingly. Now that is no longer possible in the exported PPTX file. Anyway, IMHO this means that the current solution is just too simplistic.

2. The exported PPTX files included here (and in the unit test), when opened in Powerpoint 2007 on Windows 7, cause Powerpoint to complain that they are corrupt. After trying to repair them they look OK. This happens before and after the patch, so it is unrelated to this issue, but it is a concern.

3. There are also problems on the import side, where margins/indents get lost when a PPTX file is imported in LO.

I guess that 2 and 3 warrant their own bug report, if not already done. I'll try to do that in the coming days.
Comment 4 Matthew Francis 2015-04-07 01:17:48 UTC
Occurs all the way back to LO 3.3.0 - this doesn't seem to have ever worked

However, OOo/AOO have never supported PPTX, so this is an original implementation error of the feature rather than a regression
Comment 5 Commit Notification 2015-05-12 08:41:05 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a878ffae876610bf7522d79685b6e07191a88214

tdf#90246 PPTX paragraph and bullet leftMargin and Indentation is not exported

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Akshay Anand 2015-05-14 08:10:28 UTC
Verified on LO build ID

Version: 5.0.0.0.alpha1+
Build ID: 847b4537928ff64cfdd6532704f7c48d947ac00f
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-13_23:01:13
Locale: en-US (en_US)

This issue has been fixed.
Comment 7 Robinson Tryon (qubit) 2015-12-18 09:50:27 UTC Comment hidden (obsolete)